<?php
namespace API\GovZaCsd;

use Helpers\QueryBuilder\AbsRepository;

class GovZaCsdRepo extends AbsRepository
{

    public function listBatchInfoFourniss() :\PDOStatement
    {
        // Assume ENTITYMETA.VALUE is duns
        return $this->createStatement(
            "SELECT FOURNISS.CODE, FOURNISS.NO_SIRET
            FROM FOURNISS with(nolock)
            WHERE FOURNISS.NO_SIRET != '' AND FOURNISS.CODE_PAYS = 'ZA'",
            []
        );
    }
}
